Bug 1262591 - Fedora 22 MATE-Compiz: Compiz crashes on closing window
Fedora 22 MATE-Compiz: Compiz crashes on closing window
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 01:27 EDT by mcvaylk
Modified: 2016-01-31 16:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-19 17:20:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Generated from the Compiz Crash Handler plugin (24.09 KB, text/plain)
2015-09-13 01:27 EDT, mcvaylk
no flags Details

  None (edit)
Description mcvaylk 2015-09-13 01:27:47 EDT
Created attachment 1072814 [details]
Generated from the Compiz Crash Handler plugin

Description of problem:

When closing a window, compiz crashes.  This seems to only happen if there are few windows open, but I have not been able to discern a complete pattern.

Using an NVIDIA GT430 instead of the Intel graphics fixes the problem.

Relevant PC specs: Intel Skylake i5 6600K with Intel HD 530 graphics, 32GB RAM, single 1920x1080 display.

I also tried the fix proposed at this link, but it did not fix the problem: http://www.phoronix.com/scan.php?page=news_item&px=intel-skl-prelim-support

See attached files for compiz crash logs.


Version-Release number of selected component (if applicable):

compiz 0.8.8
Fedora 22 MATE-Compiz spin


How reproducible:

Easily reproducible on my machine.


Steps to Reproduce:
1.  With Intel 530 graphics, boot and log in.
2.  Open a few windows.
3.  Close a window


Actual results:

Compiz and the window decorator (both Emerald and GTK) crash.


Expected results:

The window closes with no lag, freezing, or crashes.


Additional info:
Comment 1 Wolfgang Ulbrich 2015-09-13 05:13:25 EDT
Do you run compiz on livecd or after installation?
The stacktrace is useless because you didn't installed any debuginfo package.
Comment 2 Wolfgang Ulbrich 2015-09-14 06:08:25 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=1259443
Can you try the mesa update?
Comment 3 Wolfgang Ulbrich 2015-11-06 10:56:59 EST
any News?
Comment 4 Wolfgang Ulbrich 2015-12-19 17:20:53 EST
wtf, no answer from reporter, i'm lost.
Comment 5 mcvaylk 2016-01-31 16:06:00 EST
(In reply to Wolfgang Ulbrich from comment #4)
> wtf, no answer from reporter, i'm lost.

Sorry, this thread got lost in my email =(

Again, using a different GPU works fine.  I've been running for months now with a GTX 950 with no issues (which is why I forgot I had opened this ticket).


(In reply to Wolfgang Ulbrich from comment #1)
> Do you run compiz on livecd or after installation?
> The stacktrace is useless because you didn't installed any debuginfo package.

I ran compiz after the install, not from the live CD.  Sorry, I didn't look closely enough at the debug output to realize there were no symbols.


(In reply to Wolfgang Ulbrich from comment #2)
> See https://bugzilla.redhat.com/show_bug.cgi?id=1259443
> Can you try the mesa update?

It looks like this update has been officially released for F22 and F23.  Should I try to replicate the original problem with the update?
Comment 6 Wolfgang Ulbrich 2016-01-31 16:25:29 EST
(In reply to mcvaylk from comment #5)
> (In reply to Wolfgang Ulbrich from comment #4)
> > wtf, no answer from reporter, i'm lost.
> 
> Sorry, this thread got lost in my email =(
> 
> Again, using a different GPU works fine.  I've been running for months now
> with a GTX 950 with no issues (which is why I forgot I had opened this
> ticket).
> 
> 
> (In reply to Wolfgang Ulbrich from comment #1)
> > Do you run compiz on livecd or after installation?
> > The stacktrace is useless because you didn't installed any debuginfo package.
> 
> I ran compiz after the install, not from the live CD.  Sorry, I didn't look
> closely enough at the debug output to realize there were no symbols.
> 
> 
> (In reply to Wolfgang Ulbrich from comment #2)
> > See https://bugzilla.redhat.com/show_bug.cgi?id=1259443
> > Can you try the mesa update?
> 
> It looks like this update has been officially released for F22 and F23. 
> Should I try to replicate the original problem with the update?
Yes please, latest compiz-compiz-0.8.10-3 have a fix for close button.
https://bodhi.fedoraproject.org/updates/FEDORA-2016-6924e50def
It's in updates-testing and pushed to stable.
Maybe this fixes your issue.
Of course i will re-open the report if the issue still exists.

PS: 0.8.10 is a bit re-worked, i wrote the changes here.
http://forums.fedoraforum.org/showthread.php?t=308125

Note You need to log in before you can comment on or make changes to this bug.